Server allocate
Documentation for Server allocate
Read time 1 minuteLast updated 2 months ago
Queue an allocation request. When complete, the first unallocated game server identified by the criteria is allocated
with the parameter value. You can query the status of outstanding requests with the
Server Allocations endpoint.
<uuid>Note: Prefer the Allocate V2 endpoint.
https://api.multiplay.co.uk/cfp/v1/server/allocate
METHOD | CONTENT TYPE |
GET | application/x-www-form-urlencoded |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
fleetid | The parameter accepts the ID of the fleet to allocate capacity from. | No |
regionid | The parameter accepts the ID of the region to use for the allocation. Region IDs are provided by Clanforge and unique to your account. | No |
profileid | The parameter accepts the profile ID of the profile the game server should use. | No |
uuid | The parameter accepts a UUID to use as the allocation identifier for the game server after the allocation has been fulfilled. This must be a valid UUID that you generate. | No |
Response fields
|
|
|
|
|---|---|---|---|
profileid | integer | ID of the profile used by this server | No |
uuid | string | ID of the allocation | No |
regions | string | ID of regions this game server is in | No |
created | string | Time at which the allocation was created | No |
requested | string | Time at which the allocation was requested | No |
ready | string | Time at which the allocation was marked as | Yes |
fleetid | string | ID of the fleet this server is in | No |
Example request
curl --location --request POST 'https://api.multiplay.co.uk/cfp/v1/server/allocate?regionid=<regionid>&profileid=<profileid>&uuid=<uuid>&fleetid=<fleetid>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "success": true, "messages": [], "allocation": { "profileid": <profileid>, "uuid": <uuid>, "regions": <regions>, "requested": <daterequested>, "created": <datecreated>, "fleetid": <fleetid>, "ready": <status> }}